Bug 1315774 (CVE-2016-1964) - CVE-2016-1964 Mozilla: Use-after-free during XML transformations (MFSA 2016-27)
Summary: CVE-2016-1964 Mozilla: Use-after-free during XML transformations (MFSA 2016-27)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-1964
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1313724
TreeView+ depends on / blocked
 
Reported: 2016-03-08 15:04 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-09-29 13:45 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-28 05:23:40 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:0373 normal SHIPPED_LIVE Critical: firefox security update 2016-03-09 10:11:19 UTC
Red Hat Product Errata RHSA-2016:0460 normal SHIPPED_LIVE Important: thunderbird security update 2016-03-16 21:36:05 UTC

Description Huzaifa S. Sidhpurwala 2016-03-08 15:04:43 UTC
Security researcher Nicolas Grégoire used the Address Sanitizer to find a use-after-free during XML transformation operations. This results in a potentially exploitable crash triggerable by web content. 


External Reference:

https://www.mozilla.org/security/announce/2016/mfsa2016-27.html


Acknowledgements:

Name: the Mozilla project
Upstream: Nicolas Grégoire

Comment 1 errata-xmlrpc 2016-03-09 05:12:37 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 5

Via RHSA-2016:0373 https://rhn.redhat.com/errata/RHSA-2016-0373.html

Comment 2 errata-xmlrpc 2016-03-16 17:37:29 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 7

Via RHSA-2016:0460 https://rhn.redhat.com/errata/RHSA-2016-0460.html


Note You need to log in before you can comment on or make changes to this bug.